import java.util.*;

public class Main {
    public static void main(String[] args) {
        Scanner sc = new Scanner(System.in);
        String str = sc.next();
        char[] chars = str.toCharArray();
        HashMap<Character, Integer> hashMap = new HashMap<>();
        for (int i = 0; i < chars.length; i++) {
            if(!hashMap.containsKey(chars[i])){
                hashMap.put(chars[i],1);
            }else {
                Integer value = hashMap.get(chars[i]);
                value++;
                hashMap.put(chars[i],value);
            }
        }
        int[] arr = new int[hashMap.size()];
        int index=0;
        Set<Map.Entry<Character, Integer>> entrySet = hashMap.entrySet();
        for (Map.Entry<Character, Integer> entry : entrySet) {
            Integer value = entry.getValue();
            arr[index++]=value;
        }
        Arrays.sort(arr);
        boolean judge = judge(arr[arr.length - 1] - arr[0]);
        if(judge){
            System.out.println("Lucky Word");
            System.out.println(arr[arr.length - 1] - arr[0]);
        }else {
            System.out.println("No Answer");
            System.out.println(0);
        }
    }
    public static boolean judge(int n){
        if(n<=1){
            return false;
        }
        for (int i = 2; i < n; i++) {
            if(n%i==0){
                return false;
            }
        }
        return true;
    }
}